Debian Bug report logs - #678907
libncursesada: FTBFS[kfreebsd-i386: raised PRJ.CONF.INVALID_CONFIG

version graph

Package: src:libncursesada; Maintainer for src:libncursesada is Nicolas Boulenguez <nicolas@debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Sun, 24 Jun 2012 23:03:08 UTC

Severity: serious

Tags: sid, wheezy

Found in version libncursesada/5.9.20110404-6

Fixed in version libncursesada/5.9.20110404-7

Done: Nicolas Boulenguez <nicolas.boulenguez@free.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Nicolas Boulenguez <nicolas.boulenguez@free.fr>:
Bug#678907; Package src:libncursesada. (Sun, 24 Jun 2012 23:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Nicolas Boulenguez <nicolas.boulenguez@free.fr>. (Sun, 24 Jun 2012 23:03:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: libncursesada: FTBFS[kfreebsd-i386: raised PRJ.CONF.INVALID_CONFIG
Date: Mon, 25 Jun 2012 01:03:11 +0200
Package: src:libncursesada
Version: 5.9.20110404-6
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-i386 buildds:

   dh_ada_library -a

raised PRJ.CONF.INVALID_CONFIG : could not create /build/buildd-libncursesada_5.9.20110404-6-kfreebsd-i386-6Lomc7/libncursesada-5.9.20110404/debian/build-obj-dynamic/auto.cgpr
make: *** [binary-arch] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=libncursesada&arch=kfreebsd-i386&ver=5.9.20110404-6&stamp=1340002158

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#678907; Package src:libncursesada. (Mon, 25 Jun 2012 10:22:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Boulenguez <nicolas.boulenguez@free.fr>:
Extra info received and forwarded to list. (Mon, 25 Jun 2012 10:22:39 GMT) Full text and rfc822 format available.

Message #10 received at 678907@bugs.debian.org (full text, mbox):

From: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
To: debian-bsd@lists.debian.org, 678907@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#678907: libncursesada: FTBFS[kfreebsd-i386: raised PRJ.CONF.INVALID_CONFIG
Date: Mon, 25 Jun 2012 12:15:33 +0200
block 678907 by 673015
thanks

libncursesada Build-Depends on dh-ada-library, which links with
libgnatprj dynamic library, which in turn calls the gprconfig
executable from the gprbuild package.




Added blocking bug(s) of 678907: 673015 Request was from Nicolas Boulenguez <nicolas.boulenguez@free.fr> to control@bugs.debian.org. (Mon, 25 Jun 2012 10:22:48 GMT) Full text and rfc822 format available.

Added indication that bug 678907 blocks 679061 Request was from Ludovic Brenta <ludovic@ludovic-brenta.org> to control@bugs.debian.org. (Tue, 26 Jun 2012 06:12:08 GMT) Full text and rfc822 format available.

Reply sent to Nicolas Boulenguez <nicolas.boulenguez@free.fr>:
You have taken responsibility. (Wed, 27 Jun 2012 09:27:10 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Wed, 27 Jun 2012 09:27:10 GMT) Full text and rfc822 format available.

Message #19 received at 678907-close@bugs.debian.org (full text, mbox):

From: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
To: 678907-close@bugs.debian.org
Subject: Bug#678907: fixed in libncursesada 5.9.20110404-7
Date: Wed, 27 Jun 2012 09:24:17 +0000
Source: libncursesada
Source-Version: 5.9.20110404-7

We believe that the bug you reported is fixed in the latest version of
libncursesada, which is due to be installed in the Debian FTP archive:

libncursesada-dbg_5.9.20110404-7_amd64.deb
  to main/libn/libncursesada/libncursesada-dbg_5.9.20110404-7_amd64.deb
libncursesada-doc_5.9.20110404-7_all.deb
  to main/libn/libncursesada/libncursesada-doc_5.9.20110404-7_all.deb
libncursesada2-dev_5.9.20110404-7_amd64.deb
  to main/libn/libncursesada/libncursesada2-dev_5.9.20110404-7_amd64.deb
libncursesada2_5.9.20110404-7_amd64.deb
  to main/libn/libncursesada/libncursesada2_5.9.20110404-7_amd64.deb
libncursesada_5.9.20110404-7.debian.tar.bz2
  to main/libn/libncursesada/libncursesada_5.9.20110404-7.debian.tar.bz2
libncursesada_5.9.20110404-7.dsc
  to main/libn/libncursesada/libncursesada_5.9.20110404-7.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 678907@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nicolas Boulenguez <nicolas.boulenguez@free.fr> (supplier of updated libncursesada package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 27 Jun 2012 09:40:14 +0200
Source: libncursesada
Binary: libncursesada2-dev libncursesada2 libncursesada-dbg libncursesada-doc
Architecture: source amd64 all
Version: 5.9.20110404-7
Distribution: unstable
Urgency: low
Maintainer: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
Changed-By: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
Description: 
 libncursesada-dbg - Ada binding to the ncurses text interface library: debug symbols
 libncursesada-doc - Ada binding to the ncurses text interface library: documentation
 libncursesada2 - Ada binding to the ncurses text interface library: shared library
 libncursesada2-dev - Ada binding to the ncurses text interface library: development
Closes: 678907
Changes: 
 libncursesada (5.9.20110404-7) unstable; urgency=low
 .
   * rules: cancel latest changes, gprbuild is needed via dh-ada-library
     anyway. Depend on gprbuild >= 2011-2 (Closes: #678907).
     Use pkg-config --libs instead of hard-coded list (this adds -ltinfo).
     Transmit hardening CPPFLAGS to project.
   * watch: slightly modified to let qa.debian.org show a green status.
Checksums-Sha1: 
 f5087063c9e220a1a42aa89cda5cefe375769b14 2252 libncursesada_5.9.20110404-7.dsc
 68f33afb60aaab4bbedc4c8e2868e2f8ea7b5366 7935 libncursesada_5.9.20110404-7.debian.tar.bz2
 9bf486e07e629f77f4875a5409a17c9b0ffae4c0 246324 libncursesada2-dev_5.9.20110404-7_amd64.deb
 804eb8e1297425d683ffa4f61b19b13325142f6c 240546 libncursesada2_5.9.20110404-7_amd64.deb
 b5f1476aad7e2b39b99fc6bb5c435c764664bcca 143220 libncursesada-dbg_5.9.20110404-7_amd64.deb
 0853e1f7cc038fb237ebaf9b39ea4bd181c31e6d 405366 libncursesada-doc_5.9.20110404-7_all.deb
Checksums-Sha256: 
 8f02f53399f19ae57be174c60037a839a2afad1f16617e8bac2ddc5243aba237 2252 libncursesada_5.9.20110404-7.dsc
 5e9ade9ca3c8bf5c736c98ce4b47dc39b9ec272a59057f60c7f38c4a44cd57dd 7935 libncursesada_5.9.20110404-7.debian.tar.bz2
 ba1919b8774426d2c6a799fc74908400dcf2dfed35334dcf7165cd23694e92c7 246324 libncursesada2-dev_5.9.20110404-7_amd64.deb
 9cc94b0d038ebe56c6fc51e4187553ae6bec022af516348c2f5e24cb6c0ac7e0 240546 libncursesada2_5.9.20110404-7_amd64.deb
 f1df91b697dbbd339eca9ccb3d094d57ff100d338ad345a414e7097b9c3ad513 143220 libncursesada-dbg_5.9.20110404-7_amd64.deb
 55e859c1e59c3c9ce2ba58dabfe300dc3fea74237136a778c0a1921790f2bb6a 405366 libncursesada-doc_5.9.20110404-7_all.deb
Files: 
 05f1290cc40e9b076aa2695e4e35db3b 2252 libdevel extra libncursesada_5.9.20110404-7.dsc
 187161d5df913a5735879e0d59c6fe1f 7935 libdevel extra libncursesada_5.9.20110404-7.debian.tar.bz2
 068c4960752a6e1cab02a7c2b2929308 246324 libdevel extra libncursesada2-dev_5.9.20110404-7_amd64.deb
 4c6959697131b07d1f8e93de28789f37 240546 libs extra libncursesada2_5.9.20110404-7_amd64.deb
 5c9a3e67d11b0e617b9523451fa1a66f 143220 debug extra libncursesada-dbg_5.9.20110404-7_amd64.deb
 b58b9dff9426841e19318f783fc7a4bb 405366 doc extra libncursesada-doc_5.9.20110404-7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJP6sp2AAoJELUqnPRJDfyNTEgP/0gsMVQYeP3iW2znWHLZ1X+s
Qh9o3VzHd9V4gLHeXBj8xUNW1EwbMq8WggpBsK2vfpQ4ITHJeIMy4QTbshWmZ78c
OUiyxIMiyL4n7lh6wOeZ5FEeRZSBrBW2gU1hHshCD9LcAaTqpRYu4ug636KLsJLi
/UCmfubgJW0XO1dt26gRsV1fBfANWvmtrnucIQCVRv/aFUnaELva3AYIoYubiclz
LVYmfMtbefXYE3BcUsLlM5Vbh/KLYMa4l3Hj8IlaX1dVZweBatEAqVE7osHGbmi3
17z1OqElWQ7FEFQ5ja+2orDRpNUuL/IoapQQ5+RuO/Q5+GSLi9r9CjItNXWzubHV
ukgm+kc7ewlJvoTArxW8x67EgtCUcMQDfS5UkBiWbgPoh6iNk9CpuBuKqjlcW9fb
9jYmIeBaR0mNNy1vAggJ0WK0g5InnAtSYtkKrSVcZZhfm+ci7TfwZg7dWWVW813E
chas76cZWP1Yjiu9d/Y3/NPaB4/dI62xfujS1mtEIY9KpVM5OP0yGVX8MbxPuxL8
dsrt/AhJjRF/Ae8tLsVXHoKKL+uOJeeiA5uKV8Sooqe5eJ6MVFNeHeQg9bh8ugsC
1ygvz2vpsEOYbUv7lPwo7o4tN5V+P1Z2ECqfwdP/MUYxV2THksfENnOuwGJx42aY
LQlpYO7ijJS00t23xZZy
=xRPU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 Aug 2012 07:26:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:38:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.